Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JMSProducerStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JMSEndpointStatsImpl
              org.jboss.management.j2ee.statistics.JMSProducerStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JMSEndpointStats, javax.management.j2ee.statistics.JMSProducerStats, Serializable, javax.management.j2ee.statistics.Stats

public final class JMSProducerStatsImpl
extends JMSEndpointStatsImpl
implements javax.management.j2ee.statistics.JMSProducerStats

Represents a statistics provided by a JMS message producer

Version:
  $Revision: 1.4 $
Author:
  Marc Fleury, Andreas Schaefer
See Also:
  Serialized Form

Constructor Summary
`JMSProducerStatsImpl(String pDestination, javax.management.j2ee.statistics.CountStatistic pMessageCount, javax.management.j2ee.statistics.CountStatistic pPendingMessageCount, javax.management.j2ee.statistics.CountStatistic pExpiredMessageCount, javax.management.j2ee.statistics.TimeStatistic pMessageWaitTime)`

Method Summary
`String` | `getDestination()` Returns a string that encapsulates the identity of the message destination

Methods inherited from class org.jboss.management.j2ee.statistics.JMSEndpointStatsImpl
`getExpiredMessageCount, getMessageCount, getMessageWaitTime, getPendingMessageCount`

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.JMSEndpointStats
`getExpiredMessageCount, getMessageCount, getMessageWaitTime, getPendingMessageCount`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSProducerStatsImpl

    public JMSProducerStatsImpl(String pDestination,
                                javax.management.j2ee.statistics.CountStatistic pMessageCount,
                                javax.management.j2ee.statistics.CountStatistic pPendingMessageCount,
                                javax.management.j2ee.statistics.CountStatistic pExpiredMessageCount,
                                javax.management.j2ee.statistics.TimeStatistic pMessageWaitTime)

Method Detail

### getDestination

    public String getDestination()

  Description copied from interface: `javax.management.j2ee.statistics.JMSProducerStats`
  Returns a string that encapsulates the identity of the message destination

  Specified by:
    `getDestination` in interface `javax.management.j2ee.statistics.JMSProducerStats`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.